Package org.eclipse.birt.report.model.api.olap

# Class MeasureHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.olap.MeasureHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IMeasureModel`

Direct Known Subclasses:
  `OdaMeasureHandle`, `TabularMeasureHandle`

public abstract class MeasureHandle extends ReportElementHandle implements org.eclipse.birt.report.model.elements.interfaces.IMeasureModel
This class represents a measure element.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IMeasureModel

`ACL_EXPRESSION_PROP, ACTION_PROP, ALIGNMENT_PROP, DATA_TYPE_PROP, FORMAT_PROP, FUNCTION_PROP, IS_CALCULATED_PROP, IS_VISIBLE_PROP, MEASURE_EXPRESSION_PROP`

## Constructor Summary

Constructors
Constructor
Description
`MeasureHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a handle for the given design and design element.

## Method Summary

Modifier and Type
Method
Description
`Iterator<ActionHandle>`
`actionsIterator()`
Returns the iterator for action defined on this measure.
`ExpressionHandle`
`getACLExpression()`
Gets the expression handle for the `ACLExpression` property.
`ActionHandle`
`getActionHandle()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`String`
`getAlignment()`
Gets the alignment of the measure.
`String`
`getDataType()`
Returns the data type information of this measure.
`FormatValueHandle`
`getFormat()`
Gets the format of the measure.
`String`
`getFunction()`
Gets the function defined in this measure.
`String`
`getMeasureExpression()`
Gets the measure expression of this measure element.
`boolean`
`isCalculated()`
Indicates whether this measure is computed by other measures or not.
`boolean`
`isVisible()`
Gets the status whether the measure element is visible or not.
`ActionHandle`
`setAction(Action action)`
Set an action on the measure.
`void`
`setAlignment(String alignment)`
Sets the alignment of the measure.
`void`
`setCalculated(boolean isCalculated)`
Sets whether this measure is computed by other measures or not.
`void`
`setDataType(String dataType)`
Sets the data type of this measure.
`void`
`setFormat(FormatValue format)`
Sets the format of the measure.
`void`
`setFunction(String function)`
Sets the function for this measure.
`void`
`setMeasureExpression(String expression)`
Sets the measure expression for this measure.
`void`
`setVisible(boolean isVisible)`
Sets the status whether the measure element is visible or not.

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MeasureHandle

public MeasureHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a handle for the given design and design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getFunction

public String getFunction()
Gets the function defined in this measure.

Returns:
  function for this measure

### setFunction

public void setFunction(String function) throws SemanticException
Sets the function for this measure.

Parameters:
  `function` - the function to set
Throws:
  `SemanticException` - property is locked or value is invalid

### getMeasureExpression

public String getMeasureExpression()
Gets the measure expression of this measure element.

Returns:
  measure expression of this measure element

### setMeasureExpression

public void setMeasureExpression(String expression) throws SemanticException
Sets the measure expression for this measure.

Parameters:
  `expression` - the measure expression to set
Throws:
  `SemanticException` - property is locked

### isCalculated

public boolean isCalculated()
Indicates whether this measure is computed by other measures or not.

Returns:
  true if this measure is computed by other measures, otherwise false

### setCalculated

public void setCalculated(boolean isCalculated) throws SemanticException
Sets whether this measure is computed by other measures or not.

Parameters:
  `isCalculated` - true if this measure is computed by other measures, otherwise false
Throws:
  `SemanticException` - property is locked

### getDataType

public String getDataType()
Returns the data type information of this measure. The possible values are defined in `DesignChoiceConstants`, and they are:

- COLUMN_DATA_TYPE_INTEGER
- COLUMN_DATA_TYPE_STRING
- COLUMN_DATA_TYPE_DATETIME
- COLUMN_DATA_TYPE_DECIMAL
- COLUMN_DATA_TYPE_FLOAT
- COLUMN_DATA_TYPE_STRUCTURE
- COLUMN_DATA_TYPE_TABLE

Returns:
  the data type of this measure.

### setDataType

public void setDataType(String dataType) throws SemanticException
Sets the data type of this measure. The allowed values are defined in `DesignChoiceConstants`, and they are:

- COLUMN_DATA_TYPE_INTEGER
- COLUMN_DATA_TYPE_STRING
- COLUMN_DATA_TYPE_DATETIME
- COLUMN_DATA_TYPE_DECIMAL
- COLUMN_DATA_TYPE_FLOAT
- COLUMN_DATA_TYPE_STRUCTURE
- COLUMN_DATA_TYPE_TABLE

Parameters:
  `dataType` - the data type to set
Throws:
  `SemanticException` - if the dataType is not in the choice list.

### getACLExpression

public ExpressionHandle getACLExpression()
Gets the expression handle for the `ACLExpression` property.

Returns:

### getActionHandle

public ActionHandle getActionHandle()
Returns a handle to work with the action property, action is a structure that defines a hyperlink.

Returns:
  a handle to the action property, return `null` if the action has not been set on the measure.
See Also:
  - `ActionHandle`

### setAction

public ActionHandle setAction(Action action) throws SemanticException
Set an action on the measure.

Parameters:
  `action` - new action to be set on the measure, it represents a bookmark link, hyper-link, and drill through etc.
Returns:
  a handle to the action property, return `null` if the action has not been set on the measure.
Throws:
  `SemanticException` - if member of the action is not valid.

### actionsIterator

public Iterator<ActionHandle> actionsIterator()
Returns the iterator for action defined on this measure.

Returns:
  the iterator for `Action` structure list defined on this measure

### getFormat

public FormatValueHandle getFormat()
Gets the format of the measure.

Returns:
  the format, or null if not set.

### setFormat

public void setFormat(FormatValue format) throws SemanticException
Sets the format of the measure.

Parameters:
  `format` - the format to set.
Throws:
  `SemanticException`

### getAlignment

public String getAlignment()
Gets the alignment of the measure. The returned value may be one of the following constants defined in `DesignChoiceConstants`:

- TEXT_ALIGN_LEFT
- TEXT_ALIGN_CENTER
- TEXT_ALIGN_RIGHT
- TEXT_ALIGN_JUSTIFY

``

Returns:
  the alignment of the measure.

### setAlignment

public void setAlignment(String alignment) throws SemanticException
Sets the alignment of the measure. The value to set should be one of the following constants defined in `DesignChoiceConstants`:

- TEXT_ALIGN_LEFT
- TEXT_ALIGN_CENTER
- TEXT_ALIGN_RIGHT
- TEXT_ALIGN_JUSTIFY

``

Parameters:
  `alignment` - the new alignment to set.
Throws:
  `SemanticException`

### isVisible

public boolean isVisible()
Gets the status whether the measure element is visible or not. By default, it is true.

Returns:

### setVisible

public void setVisible(boolean isVisible) throws SemanticException
Sets the status whether the measure element is visible or not.

Parameters:
  `isVisible` -
Throws:
  `SemanticException`